VERSION 5.00
Begin VB.Form COMTest 
   Caption         =   "Cleaner 5 COM Test"
   ClientHeight    =   5460
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4950
   LinkTopic       =   "COMTest"
   ScaleHeight     =   5460
   ScaleWidth      =   4950
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton ExitButton 
      Caption         =   "Exit"
      Height          =   375
      Left            =   120
      TabIndex        =   22
      Top             =   1680
      Width           =   1095
   End
   Begin VB.CommandButton ItemDestination 
      Caption         =   "Item Dest."
      Height          =   375
      Left            =   3720
      TabIndex        =   21
      Top             =   5040
      Width           =   1095
   End
   Begin VB.TextBox ItemDestinationText 
      Height          =   375
      Left            =   120
      TabIndex        =   20
      Text            =   "Text1"
      Top             =   5040
      Width           =   3495
   End
   Begin VB.CommandButton LaunchRemote 
      Caption         =   "Remote Computer"
      Height          =   375
      Left            =   3240
      TabIndex        =   17
      Top             =   480
      Width           =   1455
   End
   Begin VB.TextBox LocationText 
      Height          =   375
      Left            =   240
      TabIndex        =   16
      Text            =   "Text1"
      Top             =   480
      Width           =   2895
   End
   Begin VB.TextBox ReadyText 
      Height          =   375
      Left            =   2520
      TabIndex        =   15
      Text            =   "Text1"
      Top             =   2160
      Width           =   1095
   End
   Begin VB.CommandButton Ready 
      Caption         =   "Ready"
      Height          =   375
      Left            =   2520
      TabIndex        =   14
      Top             =   1680
      Width           =   1095
   End
   Begin VB.CommandButton SettingAlts 
      Caption         =   "SettingAlts"
      Height          =   375
      Left            =   3720
      TabIndex        =   13
      Top             =   4560
      Width           =   1095
   End
   Begin VB.TextBox SettingAltsText 
      Height          =   375
      Left            =   120
      TabIndex        =   12
      Text            =   "Text1"
      Top             =   4560
      Width           =   3495
   End
   Begin VB.CommandButton Suspend 
      Caption         =   "Suspend"
      Height          =   375
      Left            =   1320
      TabIndex        =   11
      Top             =   2160
      Width           =   1095
   End
   Begin VB.CommandButton Start 
      Caption         =   "Start"
      Height          =   375
      Left            =   1320
      TabIndex        =   10
      Top             =   1680
      Width           =   1095
   End
   Begin VB.CommandButton SelectAll 
      Caption         =   "Select All"
      Height          =   375
      Left            =   3720
      TabIndex        =   9
      Top             =   1680
      Width           =   1095
   End
   Begin VB.CommandButton Clear 
      Caption         =   "Clear"
      Height          =   375
      Left            =   3720
      TabIndex        =   8
      Top             =   2160
      Width           =   1095
   End
   Begin VB.CommandButton Destination 
      Caption         =   "Destination"
      Height          =   375
      Left            =   3720
      TabIndex        =   7
      Top             =   2640
      Width           =   1095
   End
   Begin VB.TextBox DestinationText 
      Height          =   405
      Left            =   120
      TabIndex        =   6
      Text            =   "Text1"
      Top             =   2640
      Width           =   3495
   End
   Begin VB.CommandButton Add 
      Caption         =   "Add"
      Height          =   375
      Left            =   3720
      TabIndex        =   5
      Top             =   3120
      Width           =   1095
   End
   Begin VB.TextBox AddText 
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Text            =   "Text1"
      Top             =   3120
      Width           =   3495
   End
   Begin VB.CommandButton XMLSetting 
      Caption         =   "XMLSetting"
      Height          =   375
      Left            =   3720
      TabIndex        =   3
      Top             =   4080
      Width           =   1095
   End
   Begin VB.TextBox XMLSettingText 
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Text            =   "Text1"
      Top             =   4080
      Width           =   3495
   End
   Begin VB.TextBox SettingText 
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Text            =   "Text1"
      Top             =   3600
      Width           =   3495
   End
   Begin VB.CommandButton Setting 
      Caption         =   "Setting"
      Height          =   375
      Left            =   3720
      TabIndex        =   0
      Top             =   3600
      Width           =   1095
   End
   Begin VB.Frame Frame1 
      Caption         =   "Start Cleaner"
      Height          =   1335
      Left            =   120
      TabIndex        =   18
      Top             =   120
      Width           =   4695
      Begin VB.CommandButton StartLocal 
         Caption         =   "This Computer"
         Height          =   375
         Left            =   3120
         TabIndex        =   19
         Top             =   840
         Width           =   1455
      End
   End
End
Attribute VB_Name = "COMTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim myCleaner As ICleaner

Private Sub Add_Click()
    myCleaner.Add AddText.Text
End Sub

Private Sub Clear_Click()
    myCleaner.Clear
End Sub

Private Sub Command1_Click()

End Sub

Private Sub Destination_Click()
    myCleaner.SetDestination DestinationText.Text
End Sub

Private Sub ExitButton_Click()
    myCleaner.Exit
End Sub

Private Sub ItemDestination_Click()
    myCleaner.SetItemDestination ItemDestinationText.Text
End Sub

Private Sub LaunchRemote_Click()
    Set myCleaner = CreateObject("CleanerLib.Cleaner", LocationText.Text)
End Sub

Private Sub Ready_Click()
    If myCleaner.Ready Then
        ReadyText.Text = "Ready"
    Else
        ReadyText.Text = "Busy"
    End If
End Sub

Private Sub SelectAll_Click()
    myCleaner.SelectAll
End Sub

Private Sub Setting_Click()
    myCleaner.Setting SettingText.Text
End Sub

Private Sub SettingAlts_Click()
    myCleaner.SettingAlts SettingAltsText.Text
    
End Sub

Private Sub Start_Click()
    myCleaner.Start DestinationText.Text, 1
End Sub

Private Sub StartLocal_Click()
    Set myCleaner = New Cleaner
End Sub

Private Sub Suspend_Click()
    myCleaner.Suspend
End Sub

Private Sub Title_Click()
End Sub

Private Sub XMLSetting_Click()
    myCleaner.XMLSetting XMLSettingText.Text
End Sub
